App::Pinto::Command::init(3pm)

NAME
App::Pinto::Command::init - create a new repository

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT init [OPTIONS] [STACK]

DESCRIPTION
This command creates a new repository. If the target directory does not exist, it will be created for you. If it does already exist, then it must be empty. You can set the configuration properties of the new repository using the command line options listed below.

COMMAND ARGUMENTS
The argument is the name of the initial stack. Stack names must be alphanumeric plus hyphens, underscores and periods, and are not case-sensitive. Defaults to "master".

COMMAND OPTIONS

--description=TEXT
    A brief description of the initial stack. Defaults to "the initial stack". This option is only allowed if the "STACK" argument is given.

--no-default
    Do not mark the initial stack as the default stack.

    If you choose not to mark the default stack, then you'll be required to specify the "--stack" option for most commands. You can always mark (or unmark) the default stack at any time by using the default command.

--recurse
--no-recurse
    Sets the default recursion behavior for the pull add add commands. "--recurse" means that commands will be recursive by default. "--no-recurse" means commands will not be recursive. If you do not specify either of these, it defaults to being recursive. However, each command can always override this default.

--source=URL
    The URL of the upstream repository where distributions will be pulled from. This is usually the URL of a CPAN mirror, and it defaults to <http://cpan.perl.org> and <http://backpan.perl.org>. But it could also be a CPAN::Mini mirror, or another Pinto repository.

    You can specify multiple repository URLs by repeating the "--source" option. Repositories that appear earlier in the list have priority over those that appear later. See Pinto::Manual for more information about using multiple upstream repositories.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.